# Uses of Interface
java.util.concurrent.StructuredTaskScope.Subtask

Packages that use StructuredTaskScope.SubtaskPREVIEW
Package
Description
java.util.concurrent
Utility classes commonly useful in concurrent programming.

## Uses of StructuredTaskScope.SubtaskPREVIEW in java.util.concurrent

Methods in java.util.concurrent that return StructuredTaskScope.SubtaskPREVIEW
Modifier and Type
Method
Description
`<U extends T>
StructuredTaskScope.SubtaskPREVIEW<U>`
StructuredTaskScope.`fork(Callable<? extends U> task)`
Starts a new thread in this task scope to execute a value-returning task, thus creating a subtask of this task scope.
Methods in java.util.concurrent with parameters of type StructuredTaskScope.SubtaskPREVIEW
Modifier and Type
Method
Description
`protected void`
StructuredTaskScope.`handleComplete(StructuredTaskScope.SubtaskPREVIEW<? extends T> subtask)`
Invoked by a subtask when it completes successfully or fails in this task scope.